Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PostConstructViewMapEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PostConstructViewMapEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PostConstructViewMapEvent

extends ComponentSystemEvent

This event must be published by a call to {javax.faces.application.Application#publishEvent} when the view map is first created. This must happen on the first time a call is made to `UIViewRoot.getViewMap()` on a `UIViewRoot` instance. The source for this event is the `UIViewRoot`.``

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PostConstructViewMapEvent(UIViewRoot root)` Instantiate a new `PostConstructViewMapEvent` that indicates the argument `root` was just associated with its view map.

Method Summary

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostConstructViewMapEvent

    public PostConstructViewMapEvent(UIViewRoot root)

  Instantiate a new `PostConstructViewMapEvent` that indicates the argument `root` was just associated with its view map.

  Parameters:
    `root` - the `UIViewRoot` for which a view map has just been created.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.